<template>
  <el-main>
    <el-row>
      <el-col>
        <router-link class="el-button el-button--primary" to="/admin/panels/new">New panel</router-link>
      </el-col>
    </el-row>
    <el-row>
      <el-col>
        <el-table :data="panels">
          <el-table-column prop="name" label="Name"></el-table-column>
          <el-table-column prop="location" label="Location"></el-table-column>
          <el-table-column prop="displayType" label="Display type"></el-table-column>
          <el-table-column label="...">
            <template slot-scope="scope">
              <router-link class="el-button el-button--button el-button--mini" :to="`/admin/panels/${scope.row.id}/edit`">Edit</router-link>
            </template>
          </el-table-column>
        </el-table>
      </el-col>
    </el-row>
    <router-view></router-view>
  </el-main>
</template>

<script>
import PanelsQuery from '../../../graphql/queries/panels'

export default {
  apollo: {
    panels: {
      query: PanelsQuery,
      variables: { location: null }
    }
  },

  watch: {
    '$route.path'(current) {
      if(current == '/admin/panels') this.$apollo.queries.panels.refetch()
    }
  },

  data() {
    return { panels: [] }
  },
}
</script>
